Create an agent from a template
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/agents/templates/{id}/instantiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Sales Agent",
"description": "Custom sales outreach for Q3 campaign"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/agents/templates/{id}/instantiate"
payload = {
"name": "My Sales Agent",
"description": "Custom sales outreach for Q3 campaign"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Sales Agent', description: 'Custom sales outreach for Q3 campaign'})
};
fetch('https://api.orbit.devotel.io/api/v1/agents/templates/{id}/instantiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"agent_id": "agt_new_agent_001",
"template_id": "voice_sales_outbound_001",
"template_title": "<string>",
"agent": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}
}API Reference
Create an agent from a template
Clone a template into your tenant by creating a new agent with the template’s system prompt, tools, and voice config pre-configured. Optionally override the agent name and description. The new agent is created in draft status ready for testing before deployment.
POST
/
api
/
v1
/
agents
/
templates
/
{id}
/
instantiate
Create an agent from a template
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Body
application/json
Response
201 - application/json
Agent created successfully from template
Show child attributes
Show child attributes
⌘I